Subject: POP3 prograsm that enforce old message policies

From: [email-masked] (Dan Kolis)
Date: Mon, 8 Sep 2003 13:08:03 -0400

John K said:
>I am pretty sure Vint knows what the protocol says.  So,
>certainly, do I.   
>In the real world, several ISPs have insisted that their servers
>provide an implicit DELE after messages have been successfully
>downloaded and the connection closed.  If leaving the mail on
>the server (not DELEting them until you tell it to) is
>important, you could, of course, choose an ISP that doesn't do
>that automatic/ implicit delete.  But, because there are ISPs
>that do the automatic delete, Shelby's claim (as I understand
>it) that his system will work with any POP3 mailbox and server
>is not quite correct.
>     john

Dan says:
Another way to do this is via EHLO and then your client would have to
subscribe to the "feature" of some timed self delete or you would be denied
access totally. This would make sure the user is given a heads up on the
whole thing.

This would be super clean. Your program (in your national language) warns
you the server is going to enforce some message removal method.

With the excellent thinking in the development of these... I'm surprised
that's not how it works.

regs,
Dan

---

From: John C Klensin <[email-masked]>
Date: Mon, 08 Sep 2003 13:21:45 -0400

--On Monday, September 08, 2003 13:08 -0400 Dan Kolis
<[email-masked]> wrote:

>> In the real world, several ISPs have insisted that their
>> servers provide an implicit DELE after messages have been
>> successfully downloaded and the connection closed.  If
>> leaving the mail on the server (not DELEting them until you
>> tell it to) is important, you could, of course, choose an ISP
>> that doesn't do that automatic/ implicit delete.  But,
>> because there are ISPs that do the automatic delete, Shelby's
>> claim (as I understand it) that his system will work with any
>> POP3 mailbox and server is not quite correct.
>>     john
> 
> Dan says:
> Another way to do this is via EHLO and then your client would
> have to subscribe to the "feature" of some timed self delete
> or you would be denied access totally. This would make sure
> the user is given a heads up on the whole thing.

EHLO?  On POP3???

> This would be super clean. Your program (in your national
> language) warns you the server is going to enforce some
> message removal method.
> 
> With the excellent thinking in the development of these... I'm
> surprised that's not how it works.

One could certainly design a more extensive capabilities
mechanism for POP3, but that raises some other issues?

    john

---

From: Alexey Melnikov <[email-masked]>
Date: Tue, 09 Sep 2003 14:30:59 +0100

>you the server is going to enforce some message removal method.
Check RFC 2449 sections 5 and 6.7.

>With the excellent thinking in the development of these... I'm surprised
Alexey

---

From: Cyrus Daboo <[email-masked]>
Date: Mon, 08 Sep 2003 14:54:34 -0400

Hi Dan,

--On Monday, September 8, 2003 13:08 -0400 Dan Kolis 
<[email-masked]> wrote:

| Another way to do this is via EHLO and then your client would have to
| subscribe to the "feature" of some timed self delete or you would be
| denied access totally. This would make sure the user is given a heads up
| on the whole thing.
|
| This would be super clean. Your program (in your national language) warns
| you the server is going to enforce some message removal method.
|
| With the excellent thinking in the development of these... I'm surprised
| that's not how it works.

See RFC 2449 - POP3 EXTENSIONS. In particular the EXPIRE capability. That 
allows a server to advertise its message retention policy. I'm not sure how 
many clients/servers currently implement it, but it is there as an official 
extension.

-- 
Cyrus Daboo